Skip to main content
POST
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
cells
/
recalculations
Recalculate Cells (Batch)
curl --request POST \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/recalculations \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "cell_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/recalculations"

payload = { "cell_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cell_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};

fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/recalculations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": false,
  "message": "<string>",
  "error": "<string>"
}
{
"success": true,
"execution_id": "<string>",
"cell_count": 123,
"selected_cell_count": 123
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
Queue recalculation for a set of cells in a Table sheet. Pass cell_ids for the cells to recalculate. The response includes the queued execution_id, the number of cells selected, and the number of cells queued.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
sheet_id
string<uuid>
required

Body

application/json
cell_ids
string<uuid>[]
required

List of cell IDs to recalculate.

Response

No cells to recalculate

Standard error response. Some legacy endpoints may return either message or error.

success
boolean
default:false

Indicates that the request failed.

message
string

Human-readable error message.

error
string

Machine-readable or fallback error message.